/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.admin.directory.model;

import com.google.api.client.json.GenericJson;
import com.google.api.client.util.DateTime;

/**
 * Template for a notification resource.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Admin Directory API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Notification extends GenericJson {

  /**
   * Body of the notification (Read-only)
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String body;

  /**
   * Address from which the notification is received (Read-only)
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String fromAddress;

  /**
   * Boolean indicating whether the notification is unread or not.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Boolean isUnread;

  /**
   * The type of the resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String notificationId;

  /**
   * Time at which notification was sent (Read-only)
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private DateTime sendTime;

  /**
   * Subject of the notification (Read-only)
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String subject;

  /**
   * Body of the notification (Read-only)
   * The value returned may be {@code null}.
   */
  public String getBody() {
    return body;
  }

  /**
   * Body of the notification (Read-only)
   * The value set may be {@code null}.
   */
  public Notification setBody(String body) {
    this.body = body;
    return this;
  }

  /**
   * Address from which the notification is received (Read-only)
   * The value returned may be {@code null}.
   */
  public String getFromAddress() {
    return fromAddress;
  }

  /**
   * Address from which the notification is received (Read-only)
   * The value set may be {@code null}.
   */
  public Notification setFromAddress(String fromAddress) {
    this.fromAddress = fromAddress;
    return this;
  }

  /**
   * Boolean indicating whether the notification is unread or not.
   * The value returned may be {@code null}.
   */
  public Boolean getIsUnread() {
    return isUnread;
  }

  /**
   * Boolean indicating whether the notification is unread or not.
   * The value set may be {@code null}.
   */
  public Notification setIsUnread(Boolean isUnread) {
    this.isUnread = isUnread;
    return this;
  }

  /**
   * The type of the resource.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * The type of the resource.
   * The value set may be {@code null}.
   */
  public Notification setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**

   * The value returned may be {@code null}.
   */
  public String getNotificationId() {
    return notificationId;
  }

  /**

   * The value set may be {@code null}.
   */
  public Notification setNotificationId(String notificationId) {
    this.notificationId = notificationId;
    return this;
  }

  /**
   * Time at which notification was sent (Read-only)
   * The value returned may be {@code null}.
   */
  public DateTime getSendTime() {
    return sendTime;
  }

  /**
   * Time at which notification was sent (Read-only)
   * The value set may be {@code null}.
   */
  public Notification setSendTime(DateTime sendTime) {
    this.sendTime = sendTime;
    return this;
  }

  /**
   * Subject of the notification (Read-only)
   * The value returned may be {@code null}.
   */
  public String getSubject() {
    return subject;
  }

  /**
   * Subject of the notification (Read-only)
   * The value set may be {@code null}.
   */
  public Notification setSubject(String subject) {
    this.subject = subject;
    return this;
  }

}
