/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.admin.directory.model;

import com.google.api.client.json.GenericJson;

/**
 * Template for notifications list response.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Admin Directory API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Notifications extends GenericJson {

  /**
   * List of notifications in this page.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<Notification> items;

  static {
    // hack to force ProGuard to consider Notification used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(Notification.class);
  }

  /**
   * The type of the resource.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Token for fetching the next page of notifications.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String nextPageToken;

  /**
   * Number of unread notification for the domain.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Integer unreadNotificationsCount;

  /**
   * List of notifications in this page.
   * The value returned may be {@code null}.
   */
  public java.util.List<Notification> getItems() {
    return items;
  }

  /**
   * List of notifications in this page.
   * The value set may be {@code null}.
   */
  public Notifications setItems(java.util.List<Notification> items) {
    this.items = items;
    return this;
  }

  /**
   * The type of the resource.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * The type of the resource.
   * The value set may be {@code null}.
   */
  public Notifications setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Token for fetching the next page of notifications.
   * The value returned may be {@code null}.
   */
  public String getNextPageToken() {
    return nextPageToken;
  }

  /**
   * Token for fetching the next page of notifications.
   * The value set may be {@code null}.
   */
  public Notifications setNextPageToken(String nextPageToken) {
    this.nextPageToken = nextPageToken;
    return this;
  }

  /**
   * Number of unread notification for the domain.
   * The value returned may be {@code null}.
   */
  public Integer getUnreadNotificationsCount() {
    return unreadNotificationsCount;
  }

  /**
   * Number of unread notification for the domain.
   * The value set may be {@code null}.
   */
  public Notifications setUnreadNotificationsCount(Integer unreadNotificationsCount) {
    this.unreadNotificationsCount = unreadNotificationsCount;
    return this;
  }

}
