/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.admin.directory.model;

import com.google.api.client.json.GenericJson;

/**
 * Request template for registering Cpanel App.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Admin Directory API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class RegisterCpanelAppRequest extends GenericJson {

  /**
   * Id of App.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String appId;

  /**
   * Locale of App.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String appLocale;

  /**
   * Name of App.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String appName;

  /**
   * Version of App.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String appVersion;

  /**
   * Model of the device.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String deviceModel;

  /**
   * Type of OS.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String osType;

  /**
   * Version of OS.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String osVersion;

  /**
   * Registration Id.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String registrationId;

  /**
   * Id of App.
   * The value returned may be {@code null}.
   */
  public String getAppId() {
    return appId;
  }

  /**
   * Id of App.
   * The value set may be {@code null}.
   */
  public RegisterCpanelAppRequest setAppId(String appId) {
    this.appId = appId;
    return this;
  }

  /**
   * Locale of App.
   * The value returned may be {@code null}.
   */
  public String getAppLocale() {
    return appLocale;
  }

  /**
   * Locale of App.
   * The value set may be {@code null}.
   */
  public RegisterCpanelAppRequest setAppLocale(String appLocale) {
    this.appLocale = appLocale;
    return this;
  }

  /**
   * Name of App.
   * The value returned may be {@code null}.
   */
  public String getAppName() {
    return appName;
  }

  /**
   * Name of App.
   * The value set may be {@code null}.
   */
  public RegisterCpanelAppRequest setAppName(String appName) {
    this.appName = appName;
    return this;
  }

  /**
   * Version of App.
   * The value returned may be {@code null}.
   */
  public String getAppVersion() {
    return appVersion;
  }

  /**
   * Version of App.
   * The value set may be {@code null}.
   */
  public RegisterCpanelAppRequest setAppVersion(String appVersion) {
    this.appVersion = appVersion;
    return this;
  }

  /**
   * Model of the device.
   * The value returned may be {@code null}.
   */
  public String getDeviceModel() {
    return deviceModel;
  }

  /**
   * Model of the device.
   * The value set may be {@code null}.
   */
  public RegisterCpanelAppRequest setDeviceModel(String deviceModel) {
    this.deviceModel = deviceModel;
    return this;
  }

  /**
   * Type of OS.
   * The value returned may be {@code null}.
   */
  public String getOsType() {
    return osType;
  }

  /**
   * Type of OS.
   * The value set may be {@code null}.
   */
  public RegisterCpanelAppRequest setOsType(String osType) {
    this.osType = osType;
    return this;
  }

  /**
   * Version of OS.
   * The value returned may be {@code null}.
   */
  public String getOsVersion() {
    return osVersion;
  }

  /**
   * Version of OS.
   * The value set may be {@code null}.
   */
  public RegisterCpanelAppRequest setOsVersion(String osVersion) {
    this.osVersion = osVersion;
    return this;
  }

  /**
   * Registration Id.
   * The value returned may be {@code null}.
   */
  public String getRegistrationId() {
    return registrationId;
  }

  /**
   * Registration Id.
   * The value set may be {@code null}.
   */
  public RegisterCpanelAppRequest setRegistrationId(String registrationId) {
    this.registrationId = registrationId;
    return this;
  }

}
